#if 0
#include "Message.h"
#include "logger.h"
#include "ResultSet.h"

map < MessageType, const char*, less<MessageType> > Message::msgTypeToStrMap;
MessageMap Message::paramTypeToStrMap;

void* Message::allocateAndCopy(void* source, int length)
{
  void* des = malloc(length);
  memcpy(des,source,length);

  return des;
}

  
void Message::setParameter(Parameter key, char* val)
{
  if(val){
    msgMap.insert(make_pair(key,allocateAndCopy(val,strlen(val)+1)));
  }
}

void Message::setParameter(Parameter key, int val)
{
  
  msgMap[key]=allocateAndCopy(&val,sizeof(int));

}

void Message::setParameter(Parameter key, ResultSet*rs)
{
  
  msgMap.insert(make_pair(key,rs));

}

void Message::setParameter(Parameter key, long int val)
{
  
  msgMap[key]=allocateAndCopy(&val,sizeof(long int));

}

void Message::setParameter(Parameter key, float val)
{
  msgMap[key]=allocateAndCopy(&val,sizeof(float));
}

void Message::setParameter(Parameter key, char val)
{
  msgMap[key]=allocateAndCopy(&val,sizeof(char));
}

void Message::setParameter(Parameter key, unsigned char val)
{
  msgMap[key]=allocateAndCopy(&val,sizeof(unsigned char));
}

void Message::setParameter(Parameter key, TimeOfCall val)
{
  msgMap[key]=allocateAndCopy(&val,sizeof(TimeOfCall));
}

void* Message::getParameter(Parameter key)
{
  if(msgMap.count(key)==0)
    {
      pt(ERROR,MESSAGE,"getParameter called with bad key: %i",key);
      return NULL;
    }
  return msgMap[key];
}

void Message::printMessage()
{
  map < Parameter, void*, less<Parameter> >::iterator it;

  for(it=msgMap.begin();it!=msgMap.end();it++){
    
    printf("key:%d  value:%c\n",it->first,
	   (unsigned char)*((unsigned char*)it->second));
  }
}
#endif
