#include <stdio.h>
#include <string>
//#include <iostream>

#include "headers/SHL_StringTable_Error.h"
#include "headers/SHL_StringTable_Message.h"
#include "headers/SHL_StringTable_Commands.h"
#include "headers/SHL_ReturnCodes.h"
#include "headers/SHL_Interface.h"
#include "../../Logger/headers/LOG_IO.h"
//#include "../../star/Classy.h"

using namespace std;

int
main(int argc, char **argv)
{
	int nRetVal = RET_SUCCESS;
//	Classy* h;

	// Verify that we received the proper number of arguments
	if ( argc < 2 )
		printf(STRTBL_ERR_STARTUP);
	else
	{
		// Check the first argument, it must be a switch 
		//	indicating a user or that help is required.
		if ( stricmp(argv[1], STRTBL_HELPOPTION) == 0 )
			printf(STRTBL_MSG_HELP);
		else
		{
			if (( stricmp(argv[1], STRTBL_USEROPTION) == 0 ) && ( argc >= 3 ))
			{
				SHL_Interface shell(argv[2]);
				nRetVal = shell.runShell();
			}
			else
				printf(STRTBL_ERR_STARTUP);
		}
	}
	
//	h = new Classy();
//	char c = h->move();
	
	return nRetVal;
}
